be.cin.mycarenet._1_0.carenet.types

## Class Payment

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.Payment

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:58:38+02:00",
                 comments="JAXB RI v2.3.7")
      public class Payment
      extends Object
      implements Serializable

  Java class for PaymentType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PaymentType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}PaymentByIo"/>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}MaxInvoiced" maxOccurs="3" minOccurs="0"/>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}SpecialSocialCategory" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Payment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<XMLGregorianCalendar>` | `getMaxInvoiceds()` A list of up to 3 years where the max invoice limit for the care receiver was reached for the requested period.
    `boolean` | `isPaymentByIo()` Indicates that the insurance organisation will directy pay the care provider (or not)
    `Boolean` | `isSpecialSocialCategory()` Gets the value of the specialSocialCategory property.
    `void` | `setPaymentByIo(boolean value)` Sets the value of the paymentByIo property.
    `void` | `setSpecialSocialCategory(Boolean value)` Sets the value of the specialSocialCategory property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Payment

          public Payment()

  - ### Method Detail

    - #### isPaymentByIo

          public boolean isPaymentByIo()

      Indicates that the insurance organisation will directy pay the care provider (or not)

    - #### setPaymentByIo

          public void setPaymentByIo(boolean value)

      Sets the value of the paymentByIo property.

    - #### getMaxInvoiceds

          public List<XMLGregorianCalendar> getMaxInvoiceds()

      A list of up to 3 years where the max invoice limit for the care receiver was reached for the requested period. Gets the value of the maxInvoiceds property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the maxInvoiceds property.

      For example, to add a new item, do as follows:

              getMaxInvoiceds().add(newItem);

      Objects of the following type(s) are allowed in the list `XMLGregorianCalendar`

    - #### isSpecialSocialCategory

          public Boolean isSpecialSocialCategory()

      Gets the value of the specialSocialCategory property.
      Returns:
        possible object is `Boolean`

    - #### setSpecialSocialCategory

          public void setSpecialSocialCategory(Boolean value)

      Sets the value of the specialSocialCategory property.
      Parameters:
        `value` - allowed object is `Boolean`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.